<?php
  global $SITEURL;
	global $data_edit; // SimpleXML to read from
  $defs = i18n_customfield_defs();
  if (!$defs || count($defs) <= 0) return; 
	$id = @$_GET['id'];
	echo '<tr><td><h2>Custom Fields</h2></td></tr>';
  // Editor settings (copied from edit.php)
  if (defined('GSEDITORLANG')) { $EDLANG = GSEDITORLANG; } else {	$EDLANG = 'en'; }
  if (defined('GSEDITORTOOL')) { $EDTOOL = GSEDITORTOOL; } else {	$EDTOOL = 'basic'; }
  if (defined('GSEDITOROPTIONS') && trim(GSEDITOROPTIONS)!="") { $EDOPTIONS = ", ".GSEDITOROPTIONS; } else {	$EDOPTIONS = ''; }
  if ($EDTOOL == 'advanced') {
    $toolbar = "
		    ['Bold', 'Italic', 'Underline', 'NumberedList', 'BulletedList', 'JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock', 'Table', 'TextColor', 'BGColor', 'Link', 'Unlink', 'Image', 'RemoveFormat', 'Source'],
        '/',
        ['Styles','Format','Font','FontSize']
    ";
  } elseif ($EDTOOL == 'basic') {
    $toolbar = "['Bold', 'Italic', 'Underline', 'NumberedList', 'BulletedList', 'JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock', 'Link', 'Unlink', 'Image', 'RemoveFormat', 'Source']";
  } else {
    $toolbar = GSEDITORTOOL;
  }
  // Editor settings end
  $col = 0; 
  foreach ($defs as $def) {
    $key = strtolower($def['key']);
    $label = $def['label'];
		$type = $def['type'];
    $value = $id ? (isset($data_edit->$key) ? $data_edit->$key : '') : (isset($def['value']) ? $def['value'] : '');
    $value = stripslashes($value);
		if ($col == 0) {
      echo '<tr>';
    } else if ($type == 'textfull' || $type == 'textarea') {
      echo '<td></td></tr><tr>';
    }
		switch ($type){
			case 'textfull': // draw a full width TextBox
				echo '<td colspan="2"><b>'.$label.':</b><br />';
				echo '<input class="text" type="text" style="width:513px;" id="post-'.$key.'" name="post-'.$key.'" value="'.$value.'" /></td>'; 
        $col += 2;
			  break; 
			case 'dropdown':
				echo '<td><b>'.$label.':</b><br />';
				echo '<select id="post-'.$key.'" name="post-'.$key.'" class="text">';
        foreach ($def['options'] as $option) {
          $attrs = $value == $option ? ' selected="selected"' : '';
          echo '<option'.$attrs.'>'.$option.'</option>';
        }
        echo '</select></td>';
        $col++;
				break;
      case 'checkbox':
				echo '<td><b>'.$label.'?</b> &nbsp;&nbsp;&nbsp;';
        echo '<input type="checkbox" id="post-'.$key.'" name="post-'.$key.'" value="on" '.($value ? 'checked="checked"' : '').'/></td>'; 
        $col++;
  			break; 
      case "textarea":
        echo '<td colspan="2"><b>'.$label.':</b><br />';
        echo '<textarea id="post-'.$key.'" name="post-'.$key.'" style="width:513px;height:200px;border: 1px solid #AAAAAA;">'.$value.'</textarea></td>';
?>
<script type="text/javascript">
  // missing border around text area, too much padding on left side, ...
  $(function() {
    CKEDITOR.replace( 'post-<?php echo $key; ?>', {
	        skin : 'getsimple',
	        forcePasteAsPlainText : true,
	        language : '<?php echo $EDLANG; ?>',
	        defaultLanguage : '<?php echo $EDLANG; ?>',
	        entities : true,
	        uiColor : '#FFFFFF',
			    height: '200px',
			    baseHref : '<?php echo $SITEURL; ?>',
	        toolbar : [ <?php echo $toolbar; ?> ]
			    <?php echo $EDOPTIONS; ?>
    })
  });
</script>
<?php
        $col +=2;
        break;
			case 'text':
      default:
				echo '<td><b>'.$label.':</b><br />';
				echo '<input class="text short" type="text" id="post-'.$key.'" name="post-'.$key.'" value="'.$value.'" /></td>'; 
        $col++;
  			break; 
		}
		if ($col >= 2) {
      echo "</tr>";
      $col = 0;
    }
	}		
  if ($col == 1) echo '<td></td></tr>';

